Bug 23227 - Remove type attribute from script tags: Reports
Summary: Remove type attribute from script tags: Reports
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 22956
  Show dependency treegraph
 
Reported: 2019-06-27 13:35 UTC by Owen Leonard
Modified: 2019-08-06 16:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23227: Remove type attribute from script tags: Reports (2.28 KB, patch)
2019-06-27 13:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23227: Remove type attribute from script tags: Reports (2.35 KB, patch)
2019-07-04 19:16 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23227: Remove type attribute from script tags: Reports (2.39 KB, patch)
2019-07-05 18:15 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 23227: Remove type attribute from script tags: Reports (2.41 KB, patch)
2019-07-05 18:17 UTC, Frédérik Chénier
Details | Diff | Splinter Review
Bug 23227: Remove type attribute from script tags: Reports (2.47 KB, patch)
2019-07-06 09:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-06-27 13:35:50 UTC
This patch will remove the obsolete "type" attribute from <script> tags in the following reports templates:

 - intranet-tmpl\prog\en\modules\reports\dictionary.tt
 - intranet-tmpl\prog\en\modules\reports\itemslost.tt
Comment 1 Owen Leonard 2019-06-27 13:47:09 UTC
Created attachment 91054 [details] [review]
Bug 23227: Remove type attribute from script tags: Reports

This patch removes the "type" attribute from <script> tags in two
reports templates.

To test, apply the patch and confirm that examples of affected pages
work properly without any JavaScript errors in the browser console:

 - Reports -> Dictionary
   - Delete
   - Specifying a date range for a date column
 - Reports -> Items lost
   - Report results
     -> Datatables functionality
     -> Selection tools for export

Validating the HTML source of any of these pages should return no errors
related to the "type" attribute.
Comment 2 M. Tompsett 2019-07-04 19:16:13 UTC
Created attachment 91299 [details] [review]
Bug 23227: Remove type attribute from script tags: Reports

This patch removes the "type" attribute from <script> tags in two
reports templates.

To test, apply the patch and confirm that examples of affected pages
work properly without any JavaScript errors in the browser console:

 - Reports -> Dictionary
   - Delete
   - Specifying a date range for a date column
 - Reports -> Items lost
   - Report results
     -> Datatables functionality
     -> Selection tools for export

Validating the HTML source of any of these pages should return no errors
related to the "type" attribute.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Bin Wen 2019-07-05 18:15:32 UTC
Created attachment 91352 [details] [review]
Bug 23227: Remove type attribute from script tags: Reports

This patch removes the "type" attribute from <script> tags in two
reports templates.

To test, apply the patch and confirm that examples of affected pages
work properly without any JavaScript errors in the browser console:

 - Reports -> Dictionary
   - Delete
   - Specifying a date range for a date column
 - Reports -> Items lost
   - Report results
     -> Datatables functionality
     -> Selection tools for export

Validating the HTML source of any of these pages should return no errors
related to the "type" attribute.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 4 Frédérik Chénier 2019-07-05 18:17:09 UTC
Created attachment 91353 [details] [review]
Bug 23227: Remove type attribute from script tags: Reports

This patch removes the "type" attribute from <script> tags in two
reports templates.

To test, apply the patch and confirm that examples of affected pages
work properly without any JavaScript errors in the browser console:

 - Reports -> Dictionary
   - Delete
   - Specifying a date range for a date column
 - Reports -> Items lost
   - Report results
     -> Datatables functionality
     -> Selection tools for export

Validating the HTML source of any of these pages should return no errors
related to the "type" attribute.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>
Comment 5 Katrin Fischer 2019-07-06 09:20:45 UTC
Created attachment 91387 [details] [review]
Bug 23227: Remove type attribute from script tags: Reports

This patch removes the "type" attribute from <script> tags in two
reports templates.

To test, apply the patch and confirm that examples of affected pages
work properly without any JavaScript errors in the browser console:

 - Reports -> Dictionary
   - Delete
   - Specifying a date range for a date column
 - Reports -> Items lost
   - Report results
     -> Datatables functionality
     -> Selection tools for export

Validating the HTML source of any of these pages should return no errors
related to the "type" attribute.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2019-07-15 11:22:19 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-07-30 05:41:33 UTC
Pushed to 19.05.x for 19.05.03
Comment 8 Lucas Gass 2019-08-06 16:24:40 UTC
backported to 18.11.x for 18.11.09